#include <bits/stdc++.h>
using namespace std;
int n,x,y;


int najv=-10e8;
int najm=10e8;


bool nizn[100000008];
bool nizp[100000008];
int main () {
    cin>>n>>x;

    for (int i=1;i<=n;i++){
        cin>>y;

            najv=max(y,najv);

            najm=min(y,najm);

    }

    if (najv<=x){
        najm=abs(x-najm);
        cout<<najm<<endl;
        return 0;
    }
    if (najm>=x){
        najv=abs(x-najv);
        cout<<najv<<endl;
        return 0;
    }


    najm=abs(najm);
    najv=abs(najv);

    najm=abs(x-najm);
    najv=abs(x-najv);


    if (najv>najm){
        cout<<najm+najm+najv<<endl;
    }
    else {
        cout<<najv+najv+najm<<endl;
    }



return 0;
}